View Issue Details

IDProjectCategoryView StatusLast Update
0022218LazarusLCLpublic2012-06-10 07:25
ReporterVladimir Elsukov [Russia] Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1 (SVN) 
Summary0022218: ListView - bug in paint items after sorted.
DescriptionLazarus 1.1 r37531 FPC 2.6.0 x86_64-linux-qt.
Kubuntu 12.04.

ListView parameters:
      object ListView_Category: TListView
        Columns = <
          item
            MaxWidth = 25
            MinWidth = 25
            Width = 25
          end
          item
            Width = 100
          end>
        HideSelection = False
        PopupMenu = PopupMenu_category
        ReadOnly = True
        RowSelect = True
        ScrollBars = ssAutoBoth
        SmallImages = ImageList_category
        SortType = stText
        TabOrder = 0
        ViewStyle = vsReport
        OnClick = ListView_CategoryClick
        OnDblClick = Button_category_editClick
        OnKeyUp = ListView_CategoryKeyUp
        OnResize = ListView_CategoryResize
      end

Text added at:
  with ListView_Category.Items.Add do begin
    SubItems.Add(in_text);
    ImageIndex := -1;
    Data := pointer(SQLQuery1.FieldByName('ID').AsInteger);
  end;


Screenshots:
http://i37.fastpic.ru/big/2012/0606/71/9ab7df3d6436eae96ec7e88a028d8b71.jpg

Left - start state, right - state after click on column header.
Bug detected only first or end item, centred elements - ok.
TagsNo tags attached.
Fixed in Revision37564,37587
LazTarget1.0
WidgetsetGTK, GTK 2, Win32/Win64, Carbon, QT
Attached Files

Activities

2012-06-06 17:53

 

ListView_Bag.jpg (168,225 bytes)   
ListView_Bag.jpg (168,225 bytes)   

Vladimir Elsukov [Russia]

2012-06-06 18:19

reporter   ~0060319

UPD: adding all icons mixed after click on header.

Zeljan Rikalo

2012-06-07 07:42

developer   ~0060327

Please attach example project.

2012-06-07 09:59

 

tasksOrganaizer.zip (447,741 bytes)

Vladimir Elsukov [Russia]

2012-06-07 10:00

reporter   ~0060333

Example project attached: tasksOrganaizer.zip

Zeljan Rikalo

2012-06-07 10:54

developer   ~0060339

Thanks for example, I see that when first column is sorted something wierd happens (duplicate item). Is it bug you mentioned ?

Zeljan Rikalo

2012-06-07 11:54

developer   ~0060340

Please test and close if ok. Note that all widgetsets were affected (eg. gtk2 shows same problem ,but in next repaint it'll show correct items.).
I'll merge this fix into 1.0 fixes branch also.

Vladimir Elsukov [Russia]

2012-06-08 07:33

reporter   ~0060364

Last edited: 2012-06-08 07:35

I'm tested in Lazarus 1.1 r37574 FPC 2.6.0 x86_64-linux-qt.
Sorting works fine, but icon paints incorrect.

http://i37.fastpic.ru/big/2012/0608/a0/479f1dd4ef12248d51320a6fdfa8b5a0.jpg

Zeljan Rikalo

2012-06-08 08:43

developer   ~0060371

Indeed, icon is wrong.

Zeljan Rikalo

2012-06-08 08:47

developer   ~0060372

Please test and close if ok.

Vladimir Elsukov [Russia]

2012-06-10 07:25

reporter   ~0060414

Solved, all works correct. Thank's :)

Issue History

Date Modified Username Field Change
2012-06-06 17:53 Vladimir Elsukov [Russia] New Issue
2012-06-06 17:53 Vladimir Elsukov [Russia] File Added: ListView_Bag.jpg
2012-06-06 17:53 Vladimir Elsukov [Russia] Widgetset => QT
2012-06-06 18:19 Vladimir Elsukov [Russia] Note Added: 0060319
2012-06-07 07:41 Zeljan Rikalo Status new => assigned
2012-06-07 07:41 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-06-07 07:42 Zeljan Rikalo LazTarget => -
2012-06-07 07:42 Zeljan Rikalo Note Added: 0060327
2012-06-07 07:42 Zeljan Rikalo Status assigned => feedback
2012-06-07 09:59 Vladimir Elsukov [Russia] File Added: tasksOrganaizer.zip
2012-06-07 10:00 Vladimir Elsukov [Russia] Note Added: 0060333
2012-06-07 10:54 Zeljan Rikalo Note Added: 0060339
2012-06-07 11:54 Zeljan Rikalo Fixed in Revision => 37564
2012-06-07 11:54 Zeljan Rikalo LazTarget - => 1.0
2012-06-07 11:54 Zeljan Rikalo Widgetset QT => GTK, GTK 2, Win32/Win64, Carbon, QT
2012-06-07 11:54 Zeljan Rikalo Status feedback => resolved
2012-06-07 11:54 Zeljan Rikalo Resolution open => fixed
2012-06-07 11:54 Zeljan Rikalo Note Added: 0060340
2012-06-08 07:33 Vladimir Elsukov [Russia] Note Added: 0060364
2012-06-08 07:35 Vladimir Elsukov [Russia] Note Edited: 0060364
2012-06-08 08:43 Zeljan Rikalo Note Added: 0060371
2012-06-08 08:43 Zeljan Rikalo Status resolved => confirmed
2012-06-08 08:47 Zeljan Rikalo Fixed in Revision 37564 => 37564,37587
2012-06-08 08:47 Zeljan Rikalo Status confirmed => resolved
2012-06-08 08:47 Zeljan Rikalo Note Added: 0060372
2012-06-10 07:25 Vladimir Elsukov [Russia] Status resolved => closed
2012-06-10 07:25 Vladimir Elsukov [Russia] Note Added: 0060414